using Ewide.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Ewide.Application
{
    public class HouseCodeInput
    {
    }

    public class AddHouseCodeInput : PageInputBase
    {
        public string HouseCode { get; set; }
        [Required(ErrorMessage = "行政区域编码不能为空")]
        public string AreaCode { get; set; }
        [Required(ErrorMessage = "项目Id不能为空")]
        public string ProjectId { get; set; }
        [Required(ErrorMessage = "房屋编号不能为空")]
        public int No { get; set; }
        [Required(ErrorMessage = "片区Id不能为空")]
        public string ZoneId { get; set; }
        [Required(ErrorMessage = "房屋地址不能为空")]
        public string Address { get; set; }
        [Required(ErrorMessage = "房屋性质不能为空")]
        public int Type { get; set; }
        [Required(ErrorMessage = "所属行业不能为空")]
        public int Industry { get; set; }
        [Required(ErrorMessage = "经度不能为空")]
        public string Lng { get; set; }
        [Required(ErrorMessage = "纬度不能为空")]
        public string Lat { get; set; }
    }

    public class EditHouseCodeInput : AddHouseCodeInput
    {
        [Required(ErrorMessage = "房屋编码Id不能为空")]
        public string Id { get; set; }
    }

    public class DeleteHouseCodeInput
    {
        [Required(ErrorMessage = "房屋编码ID不可为空")]
        public string Id { get; set; }
    }

    public class QueryHouseCodeInput : PageInputBase
    {
        public string HouseCode { get; set; }
        public int? No { get; set; }
        public string Address { get; set; }
        public string ProjectId { get; set; }
        public string ZoonId { get; set; }
        public int Type { get; set; }
    }

    public class GetHouseCodeInput
    {
        [Required(ErrorMessage = "房屋编码ID不可为空")]
        public string Id { get; set; }
    }
}
